%define _disable_ld_no_undefined 1

%define	major 0
%define libname %mklibname radiusclient %{major}
%define develname %mklibname radiusclient -d

# Avoid auto dependencies adding expect for secure-card example script
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}^%{_docdir}/.*$

%define enable_inet6 1
%{?_with_inet6: %{expand: %%global enable_inet6 1}}
%{?_without_inet6: %{expand: %%global enable_inet6 0}}

%define enable_radiusclient 0
%{?_with_radiusclient: %{expand: %%global enable_radiusclient 1}}
%{?_without_radiusclient: %{expand: %%global enable_radiusclient 0}}

Summary:	The PPP daemon and documentation for Linux 1.3.xx and greater
Name:		ppp
Version:	2.4.8
Release:	%mkrel 2
License:	BSD-like
Url:		http://www.samba.org/ppp/
Group:		System/Servers
Source0:	https://download.samba.org/pub/ppp/%{name}-%{version}.tar.gz
Source1:	ppp-2.4.3-pam.conf
Source2:	ppp-2.4.1-mppe-crypto.tar.bz2
Source3:	README.pppoatm
Source4:	ppp.logrotate
Source5:	ppp-dhcpc.tar.bz2
Source10:	%{name}-tmpfiles.conf
Source20:	ip-down
Source21:	ip-down.ipv6to4
Source22:	ip-up
Source23:	ip-up.ipv6to4
Source24:	ipv6-down
Source25:	ipv6-up
Source26:	ifup-ppp
Source27:	ifdown-ppp
Source28: ppp-watch.tar.xz
Patch0:		ppp-2.4.5-make.patch
Patch1:		ppp-2.3.6-sample.patch
Patch4:		ppp-options.patch
Patch5:		ppp-2.4.3-pppdump-Makefile.patch
Patch6:		ppp-2.4.3-noexttraffic.patch
# (blino) use external libatm for pppoatm plugin
Patch7:		ppp-2.4.3-libatm.patch
Patch8: 	ppp-2.4.2-pie.patch
Patch9: 	ppp-2.4.4-multipledefrt.patch
Patch10:	ppp-2.4.4-dontwriteetc.patch
# (blino) http://orakel.tznetz.com/dload/ppp-2.4.4-mppe-mppc-1.1.patch.gz
# original patch on http://mppe-mppc.alphacron.de/
# (tpg) disable this patch, because it need a rediff and also there are some legal issues
# Although the module's source code is completely free, MPPC itself is patented algorithm.
#Patent for *Microsoft* PPC is holded by the  Hifn Inc. This is obvious ;-).
#Furthermore, MPPE uses RC4[1]  encryption algorithm which itself isn't patented,
#but RC4 is trademark of RSA Data Security Inc.
#To avoid legal problems, US citizens shouldn't use this module.
Patch11:	ppp-2.4.4-mppe-mppc-1.1.patch
Patch15:	ppp-2.4.3-pic.patch
Patch16:	ppp-2.4.3-etcppp.patch
Patch18:	ppp-2.4.5-includes-sha1.patch
Patch19:	ppp-2.4.5-makeopt2.patch
Patch20:        ppp-2.4.7-nostrip.patch
Patch21:	ppp-2.4.6-CVE-2015-3310.patch
Patch24:	CVE-2020-8597.patch
Patch25:	ppp-2.4.8-glibc2.32.patch
BuildRequires:	libatm-devel
BuildRequires:	libpcap-devel
BuildRequires:	pkgconfig(openssl) >= 1.1
BuildRequires:	pam-devel
BuildRequires:	libtool
BuildRequires:	glibc-static-devel
BuildRequires:	pkgconfig(glib-2.0)
Requires:	glibc >= 2.0.6
Requires(post): systemd >= %{systemd_required_version}
Conflicts:	initscripts < 9.55

%description
The ppp package contains the PPP (Point-to-Point Protocol) daemon
and documentation for PPP support.  The PPP protocol provides a
method for transmitting datagrams over serial point-to-point links.

The ppp package should be installed if your machine need to support
the PPP protocol.


%package	devel
Summary:	PPP devel files
Group:		Development/C
Requires:	%{name} = %{version}

%description	devel
PPP over ATM plugin for %{name}.

%package	pppoatm
Summary:	PPP over ATM plugin for %{name}
Group:		System/Servers
Requires:	%{name} = %{version}

%description	pppoatm
PPP over ATM plugin for %{name}.

%package	pppoe
Summary:	PPP over ethernet plugin for %{name}
Group:		System/Servers
Requires:	%{name} = %{version}
Obsoletes:	rp-pppoe-plugin <= 3.10
Provides:	rp-pppoe-plugin

%description	pppoe
PPP over ethernet plugin for %{name}.

%package	radius
Summary:	Radius plugin for %{name}
Group:		System/Servers
Requires:	%{name} = %{version}
Requires:	radiusclient-utils

%description	radius
Radius plugin for %{name}.

%package	dhcp
Summary:	DHCP plugin for %{name}
Group:		System/Servers
Requires:	%{name} = %{version}

%description	dhcp
DHCP plugin for %{name}.

%if %enable_radiusclient
%package -n	radiusclient-utils
Summary:	Radiusclient library
Group:		System/Servers
Requires:	%{libname} = %{version}-%{release}
Conflicts:	radiusclient

%description -n	radiusclient-utils
Radiusclient is a /bin/login replacement which gets called by a getty
to log in a user and to setup the user's login environment. Normal
login programs just check the login name and password which the user
entered against the local password file (/etc/passwd, /etc/shadow). In
contrast to that Radiusclient also uses the RADIUS protocol to
authenticate the user.

%package -n	%{libname}
Summary:	Radiusclient library
Group:		System/Libraries

%description -n	%{libname}
Libraries required for Radiusclient

%package -n	%{develname}
Summary:	Header files and development documentation for radiusclient
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	radiusclient-devel = %{version}-%{release}
Provides:	libradiusclient-devel = %{version}-%{release}

%description -n	%{develname}
Header files and development documentation for radiusclient.

%package -n	%{staticname}
Summary:	Static libraries for radiusclient
Group:		Development/C
Requires:	%{libname}-devel = %{version}-%{release}

%description -n	%{staticname}
Radiusclient static library.
%endif

%prep
%setup -q
tar xf %{SOURCE28}
find -type d -name CVS|xargs rm -rf
%patch0 -p1 -b .make
%patch1 -p1 -b .sample
%patch4 -p1 -b .options
%patch5 -p1 -b .pppdump-Makefile

# (gg) add noext-traffic option
%patch6 -p1 -b .noext

%patch7 -p1 -b .libatm
%patch8 -p1 -b .pie
%patch9 -p1 -b .multipledefrt

tar -xjf %{SOURCE2}
pushd pppd/plugins
	tar -xjf %{SOURCE5}
popd

%patch10 -p1 -b .dontwriteetc
#patch11 -p1 -b .mppe_mppc
%patch15 -p1 -b .pic
%patch16 -p1 -b .etcppp
%patch18 -p1 -b .incsha1
%patch19 -p1 -b .dhcp
%patch20 -p1 -b .nostrip
%patch21 -p1 -b .CVE-2015-3310
%patch24 -p1 -b .CVE-2020-8597
%patch25 -p1 -b .glibc2.32

# lib64 fixes
perl -pi -e "s|^(LIBDIR.*)\\\$\(DESTDIR\)/lib|\1\\\$(INSTROOT)%{_libdir}|g" pppd/Makefile.linux pppd/plugins/Makefile.linux pppd/plugins/{pppoatm,radius,rp-pppoe,pppol2tp}/Makefile.linux
perl -pi -e "s|(--prefix=/usr)|\1 --libdir=%{_libdir}|g" pppd/plugins/radius/Makefile.linux
perl -pi -e "/_PATH_PLUGIN/ and s,(?:/usr/lib|DESTDIR (\")/lib),\$1%{_libdir},"  pppd/pathnames.h
# enable the dhcp plugin
perl -p -i -e "s|^(PLUGINS :=)|SUBDIRS += dhcp\n\$1|g" pppd/plugins/Makefile.linux
# libtool: error: specify a tag with '--tag'
perl -p -i -e "s|libtool|libtool --tag=CC|g" pppd/plugins/dhcp/Makefile.linux

# fix /usr/local in scripts path
perl -pi -e "s|/usr/local/bin/pppd|%{_sbindir}/pppd|g;
	     s|/usr/local/bin/ssh|%{_bindir}/ssh|g;
	     s|/usr/local/bin/expect|%{_bindir}/expect|g" \
	scripts/ppp-on-rsh \
	scripts/ppp-on-ssh \
	scripts/secure-card

%if %enable_inet6
perl -pi -e "s/#HAVE_INET6/HAVE_INET6/" pppd/Makefile.linux
%endif

%build
# stpcpy() is a GNU extension
OPT_FLAGS="%{optflags} -D_GNU_SOURCE"
perl -pi -e "s/openssl/openssl -DOPENSSL_NO_SHA1/;" openssl/crypto/sha/Makefile

CFLAGS="$OPT_FLAGS" CXXFLAGS="$OPT_FLAGS" %configure
# remove the following line when rebuilding against kernel 2.4 for multilink
#perl -pi -e "s|-DHAVE_MULTILINK||" pppd/Makefile
%make_build RPM_OPT_FLAGS="$OPT_FLAGS" LIBDIR=%{_libdir}
%make_build -C pppd/plugins -f Makefile.linux
%make_build -C ppp-watch

%install
mkdir -p %{buildroot}{%{_sbindir},%{_bindir},/usr/X11R6/bin/,%{_mandir}/man8,%{_sysconfdir}/{ppp,pam.d}}

%make_install LIBDIR=%{buildroot}%{_libdir}/pppd/%{version}/ INSTALL=install -C pppd/plugins/dhcp
%make_install INSTROOT=%{buildroot} DESTDIR=%{buildroot}%{_prefix} SUBDIRS="pppoatm rp-pppoe radius pppol2tp"
%make_install ROOT=%{buildroot} mandir=%{_mandir} -C ppp-watch

%multiarch_includes %{buildroot}%{_includedir}/pppd/pathnames.h

# (gg) Allow stripping
chmod u+w %{buildroot}%{_sbindir}/*

chmod go+r scripts/*
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/pam.d/ppp
install -m 644 %{SOURCE3} %{_builddir}/%{name}-%{version}/

# (stew) fix permissions
chmod 0755 `find %{buildroot} -name "*\.so"`

# Provide pointers for people who expect stuff in old places
touch %{buildroot}/var/log/ppp/connect-errors
install -D -p -m 0644 %{SOURCE10} %{buildroot}%{_tmpfilesdir}/%{name}.conf
ln -s ../../var/log/ppp/connect-errors %{buildroot}/etc/ppp/connect-errors
ln -s ../../run/ppp/resolv.conf %{buildroot}/etc/ppp/resolv.conf

# Logrotate script
mkdir -p %{buildroot}/etc/logrotate.d
install -m 644 %{SOURCE4} %{buildroot}/etc/logrotate.d/ppp

# install scripts (previously owned by initscripts package)
install -d %{buildroot}%{_sysconfdir}/ppp
install -p %{SOURCE20} %{buildroot}%{_sysconfdir}/ppp/ip-down
install -p %{SOURCE21} %{buildroot}%{_sysconfdir}/ppp/ip-down.ipv6to4
install -p %{SOURCE22} %{buildroot}%{_sysconfdir}/ppp/ip-up
install -p %{SOURCE23} %{buildroot}%{_sysconfdir}/ppp/ip-up.ipv6to4
install -p %{SOURCE24} %{buildroot}%{_sysconfdir}/ppp/ipv6-down
install -p %{SOURCE25} %{buildroot}%{_sysconfdir}/ppp/ipv6-up

install -d %{buildroot}%{_sysconfdir}/sysconfig/network-scripts/
install -p %{SOURCE26} %{buildroot}%{_sysconfdir}/sysconfig/network-scripts/ifup-ppp
install -p %{SOURCE27} %{buildroot}%{_sysconfdir}/sysconfig/network-scripts/ifdown-ppp

%if !%enable_radiusclient
rm -rf %{buildroot}%{_sbindir}/*rad*
rm -rf %{buildroot}%{_sysconfdir}/*rad*
rm -rf %{buildroot}%{_includedir}/*rad*
rm -rf %{buildroot}%{_libdir}/*rad*
%endif

%post
%_tmpfilescreate %{name}

%files
%doc FAQ PLUGINS README* scripts sample
%{_sbindir}/chat
%{_sbindir}/pppdump
%attr(5755,root,root)	%{_sbindir}/pppd
%attr(0755,root,daemon)	%{_sbindir}/pppstats
%{_sbindir}/ppp-watch
%{_mandir}/man*/*
%exclude %{_mandir}/man8/*rad*
%dir %{_libdir}/pppd
%dir %{_libdir}/pppd/%{version}
%{_libdir}/pppd/%{version}/minconn.so
%{_libdir}/pppd/%{version}/openl2tp.so
%{_libdir}/pppd/%{version}/passprompt.so
%{_libdir}/pppd/%{version}/passwordfd.so
%{_libdir}/pppd/%{version}/pppol2tp.so
%{_libdir}/pppd/%{version}/winbind.so
%{_tmpfilesdir}/%{name}.conf
%attr(700, root, root) %dir /var/log/ppp
/var/log/ppp/*
%dir %{_sysconfdir}/ppp
%attr(0600,root,daemon)	%config(noreplace) %{_sysconfdir}/ppp/chap-secrets
%attr(0600,root,daemon)	%config(noreplace) %{_sysconfdir}/ppp/options
%attr(0600,root,daemon)	%config(noreplace) %{_sysconfdir}/ppp/pap-secrets
%{_sysconfdir}/ppp/connect-errors
%{_sysconfdir}/ppp/resolv.conf
%{_sysconfdir}/ppp/ip-up
%{_sysconfdir}/ppp/ip-down
%{_sysconfdir}/ppp/ip-up.ipv6to4
%{_sysconfdir}/ppp/ip-down.ipv6to4
%{_sysconfdir}/ppp/ipv6-up
%{_sysconfdir}/ppp/ipv6-down
%{_sysconfdir}/sysconfig/network-scripts/ifup-ppp
%{_sysconfdir}/sysconfig/network-scripts/ifdown-ppp
%config(noreplace) %{_sysconfdir}/pam.d/ppp
%config(noreplace) /etc/logrotate.d/ppp

%files devel
%doc README*
%{_includedir}/pppd/*
%multiarch %{multiarch_includedir}/pppd/pathnames.h

%files pppoatm
%doc README
%{_libdir}/pppd/%{version}/pppoatm.so

%files pppoe
%doc README
%{_libdir}/pppd/%{version}/rp-pppoe.so
%attr(755,root,root) %{_sbindir}/pppoe-discovery

%files radius
%doc README
%{_libdir}/pppd/%{version}/rad*.so
%{_mandir}/man8/*rad*

%files dhcp
%doc pppd/plugins/dhcp/README
%doc pppd/plugins/dhcp/AUTHORS
%doc pppd/plugins/dhcp/COPYING
%{_libdir}/pppd/%{version}/dhcpc.so

%if %enable_radiusclient
%files -n radiusclient-utils
%doc pppd/plugins/radius/radiusclient/BUGS
%doc pppd/plugins/radius/radiusclient/CHANGES
%doc pppd/plugins/radius/radiusclient/README
%doc pppd/plugins/radius/radiusclient/doc/*.html
%dir %{_sysconfdir}/radiusclient
%attr(644,root,root) %config(missingok,noreplace) %verify(not md5 size mtime) %{_sysconfdir}/radiusclient/*
%attr(755,root,root) %{_sbindir}/*rad*

%files -n %{libname}
%attr(755,root,root) %{_libdir}/lib*.so.%{major}{,.*}

%files -n %{develname}
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_includedir}/*rad*

%files -n %{staticname}
%{_libdir}/lib*.a
%endif


%changelog
* Fri Dec 04 2020 luigiwalser <luigiwalser> 2.4.8-2.mga8
+ Revision: 1652682
- fix build with glibc 2.32

* Tue Sep 22 2020 luigiwalser <luigiwalser> 2.4.8-1.mga8
+ Revision: 1629421
- 2.4.8
- rediff patches 0, 6, 8, 9, 18
- remove upstreamed patches 22 and 23

* Thu Jul 09 2020 ovitters <ovitters> 2.4.7-16.mga8
+ Revision: 1603504
- remove unnecessary auto dependencies from script in doc directory (mga#23891)

* Fri Feb 21 2020 daviddavid <daviddavid> 2.4.7-15.mga8
+ Revision: 1548404
- add upstream patch to fix CVE-2020-8597 (mga#26217)
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Feb 22 2019 daviddavid <daviddavid> 2.4.7-13.mga7
+ Revision: 1369361
- fix dangling links (mga#23517)

* Sun Sep 23 2018 umeabot <umeabot> 2.4.7-12.mga7
+ Revision: 1300365
- Mageia 7 Mass Rebuild

* Sun Aug 12 2018 wally <wally> 2.4.7-11.mga7
+ Revision: 1251176
- restore, rediff and apply 'no strip' patch

* Sun Aug 12 2018 wally <wally> 2.4.7-10.mga7
+ Revision: 1251172
- drop unneeded enable_debug conditional from .spec as -g is nowadays in %%optflags
- add patch from Fedora to use openssl instead of libcrypt for DES

* Sat Oct 15 2016 pterjan <pterjan> 2.4.7-9.mga6
+ Revision: 1060858
- Fix build with linux 4.8 headers

* Tue Feb 09 2016 umeabot <umeabot> 2.4.7-8.mga6
+ Revision: 952593
- Mageia 6 Mass Rebuild

* Thu Apr 16 2015 luigiwalser <luigiwalser> 2.4.7-7.mga5
+ Revision: 820310
- add patch from debian to fix CVE-2015-3310

* Wed Oct 15 2014 umeabot <umeabot> 2.4.7-6.mga5
+ Revision: 746547
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 2.4.7-5.mga5
+ Revision: 725208
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 2.4.7-4.mga5
+ Revision: 687761
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 colin <colin> 2.4.7-3.mga5
+ Revision: 670524
- Add conflicts with older initscripts to ensure smooth upgrade (mga#14024)

* Sat Aug 30 2014 colin <colin> 2.4.7-2.mga5
+ Revision: 669527
- Add missing BR for ppp-watch
- Port PPP initscripts now removed from initscripts package

* Wed Aug 27 2014 luigiwalser <luigiwalser> 2.4.7-1.mga5
+ Revision: 668859
- 2.4.7 (fixes CVE-2014-3158)
- rediff patches 0 and 6
- remove patch 2 (should no longer be needed)
- remove patches 21 and 98 (if_pppol2tp.h no longer exists)
- remove upstreamed patch 22

* Tue Aug 19 2014 tv <tv> 2.4.5-19.mga5
+ Revision: 665718
- drop dietlibc build (no more needed by stage1)

* Wed Jan 15 2014 dlucio <dlucio> 2.4.5-18.mga4
+ Revision: 566618
- P11 disabled, and now MPPE works

* Sat Oct 19 2013 umeabot <umeabot> 2.4.5-17.mga4
+ Revision: 532679
- Mageia 4 Mass Rebuild

* Thu Aug 22 2013 luigiwalser <luigiwalser> 2.4.5-16.mga4
+ Revision: 469230
- add patch from mancha to fix null pointer deref with glibc 2.17

* Sun Mar 24 2013 colin <colin> 2.4.5-15.mga3
+ Revision: 404859
- Add systemd requires and general post/pre fixes (mga#9302)

* Sun Jan 13 2013 umeabot <umeabot> 2.4.5-14.mga3
+ Revision: 378151
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 rtp <rtp> 2.4.5-13.mga3
+ Revision: 341326
- fix build with glibc-static-devel

* Sun Jan 06 2013 solbu <solbu> 2.4.5-12.mga3
+ Revision: 340261
- Fix Provides

* Sat Jan 05 2013 solbu <solbu> 2.4.5-11.mga3
+ Revision: 339050
- Add «Obsoletes:» on dropped rp-pppoe-plugin.

* Sun Dec 16 2012 colin <colin> 2.4.5-10.mga3
+ Revision: 331681
- Switch to tmpfiles for /run dirs+files

* Mon Aug 06 2012 tv <tv> 2.4.5-9.mga3
+ Revision: 279432
- fix build & comment dietlibc patch
- enable pppol2tp (Alex Loginov, #6448)

* Tue Jun 12 2012 tv <tv> 2.4.5-8.mga3
+ Revision: 259948
+ rebuild (emptylog)

* Mon Jun 11 2012 tv <tv> 2.4.5-7.mga3
+ Revision: 259733
- do not own /etc/ppp/peers (owned by initscripts)

* Fri Apr 13 2012 tv <tv> 2.4.5-6.mga2
+ Revision: 230601
- bump rel in order to fix upgrade from mdv2010.2

* Tue Jan 03 2012 tv <tv> 2.4.5-4.mga2
+ Revision: 190136
- build static pppd-diet for stage1
- update objects list
- disable -Werror
- kill top_dir references
- new file: cat drakx/mdk-stage1/{Makefile.common,ppp/pppd/Makefile}>Makefile.diet-pppd

* Sun Jan 23 2011 ennael <ennael> 2.4.5-3.mga2
+ Revision: 33338
- remove mdkversion
- imported package ppp


* Sat Dec 04 2010 Funda Wang <fwang@mandriva.org> 2.4.5-3mdv2011.0
+ Revision: 608655
- patch to build with latest kernel

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

* Fri Jun 11 2010 Eugeni Dodonov <eugeni@mandriva.com> 2.4.5-2mdv2010.1
+ Revision: 547901
- Rediffed P11 (required for #16737).

* Thu Dec 31 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 2.4.5-1mdv2010.1
+ Revision: 484614
- fix compiling on x86_64 by adding -fPIC flag
- update to new version 2.4.5
- merge makeopt patches into one patch 3
- diable patch 11
- rediff patch 18 and 19
- drop patches 12(fixed upstream), 21(unknown status) and 22(fixed upstream)
- update to new version 2.4.5

* Tue May 26 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2.4.4-10mdv2010.0
+ Revision: 380029
- Fix build

* Wed Dec 17 2008 Oden Eriksson <oeriksson@mandriva.com> 2.4.4-9mdv2009.1
+ Revision: 315253
- rediffed fuzzy patches

* Wed Oct 29 2008 Oden Eriksson <oeriksson@mandriva.com> 2.4.4-8mdv2009.1
+ Revision: 298351
- rebuilt against libpcap-1.0.0

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 2.4.4-7mdv2009.0
+ Revision: 265533
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Jun 03 2008 Olivier Blin <oblin@mandriva.com> 2.4.4-6mdv2009.0
+ Revision: 214490
- rename new keepdefaultroute option as multipledefaultroutes

* Mon Jun 02 2008 Olivier Blin <oblin@mandriva.com> 2.4.4-5mdv2009.0
+ Revision: 214331
- delete route for current ppp interface only (when shutting down the connection)

* Mon Jun 02 2008 Olivier Blin <oblin@mandriva.com> 2.4.4-4mdv2009.0
+ Revision: 214300
- add keepdefaultroute option (to keep existing default routes)

* Fri Apr 04 2008 Olivier Blin <oblin@mandriva.com> 2.4.4-3mdv2008.1
+ Revision: 192326
- fix plugins path on x86_64 (#31794)

* Fri Feb 01 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.4.4-2mdv2008.1
+ Revision: 160951
- new license policy
- spec file clean
- change buildrequires to libatm-devel

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Aug 20 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.4.4-1mdv2008.0
+ Revision: 68088
- rebuild


* Mon Nov 27 2006 Olivier Blin <oblin@mandriva.com> 2.4.4-1mdv2007.0
+ Revision: 87708
- use common make install for pppoatm plugin
- run lib64 fixes on plugin sub-makefiles as well
- adapt lib64 to latest ppp makefiles
- fix plugins installation
- really enable the dhcp plugin
- remove useless mkdir commands
- use updated mppe-mppc patch (from Michael Gschwandtner)
- drop cve-2006-2194 patch (merged upstream)
- drop passargv patch (merged upstream)
- rediff dontwriteetc patch
- use new INSTROOT variable for make install
- remove lcp_close patch (merged upstream, and our version looks incorrect BTW)
- 2.4.4
- drop merged patch13

* Thu Aug 10 2006 Olivier Blin <oblin@mandriva.com> 2.4.3-12mdv2007.0
+ Revision: 54763
- P23: security fix for CVE-2006-2194 (from Vincent Danen)
- import ppp-2.4.3-11mdv2007.0

* Tue Jul 11 2006 Olivier Blin <oblin@mandriva.com> 2.4.3-11mdv2007.0
- drop ppp-prompt package since it depends on gtk1
  (from Crispin Boylan, #23521)
- don't try to uncompress Source6, it's dropped
  (and duplicated official tarball parts...)
- drop Patch12, we don't want to build contrib stuff
- don't use pam_stack in pam.d config file

* Wed Jan 11 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.4.3-10mdk
- add BuildRequires: libtool

* Sun Aug 28 2005 Giuseppe Ghibò <ghibo@mandriva.com> 2.4.3-9mdk
- /etc/ppp/peers is not a file, removed from
  %%config(noreplace) list.
- Added missed CFLAGS to Patch3 (makeopt) and Patch19.
- Added Patch17 (make room for argv[4]).
- Added Patch18 (fix includes, merged from RH).
- Added Patch20 (don't let install scripts do strip of binaries).
- Added Patch21 (fix some function prototype and include, merged from RH). 
- Added Patch22 (add support for higher speeds according to bits/termios.h).

* Sat Aug 06 2005 Olivier Blin <oblin@mandriva.com> 2.4.3-8mdk
- do an lcp_close whenever the link terminates, not just if it
  terminates because of an error, this is needed for persist
  to work properly (Patch9 from CVS, possible fix for #16748)
- removes Requires on release

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 2.4.3-7mdk
- rebuilt against new libpcap-0.9.1 (aka. a "play safe" rebuild)

* Fri Jun 03 2005 Pascal Terjan <pterjan@mandriva.org> 2.4.3-6mdk
- allow building with ipv6 support and enable it by default

* Sat Apr 23 2005 Olivier Blin <oblin@mandriva.com> 2.4.3-5mdk
- really use 2.4.3 tarball !
- rediff Patch0, Patch3, Patch5, Patch6, Patch10, Patch12, Patch15
- update man path in Patch12
- drop Patch9, Patch14 (merged upstream)
- use new internal pppoatm (drop Patch7)
- use external libatm for pppoatm (new Patch7)
- drop Patch16 since we use the real ppp-2.4.3 now ...
- drop radiusclient workaround
  (no more radiusclient subdir with configure stuff)
- fix install in MANDIR, INCDIR, RUNDIR and LOGDIR
- really install ppp files in etc (Patch16)
- ship pppoe-discovery in ppp-pppoe
- remove spurious man8 dir

* Wed Feb 02 2005 Olivier Blin <oblin@mandrakesoft.com> 2.4.3-4mdk
- do not mark symbolic links as config files (#13090)
- really ship README.pppoatm

* Tue Feb 01 2005 Olivier Blin <blino@mandrake.org> 2.4.3-3mdk
- multiarch support

* Tue Jan 18 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.4.3-2mdk
- fix patchlevel (P16), pppd reported versions as 2.4.2 and not 2.4.3

* Mon Jan 17 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.4.3-1mdk
- 2.4.3
- update mppe/mppc patch (P11)
- drop P13( merged upstream)
- pppgetpass has been silently dropped from upstream, ship it in own source (S6)
- fix summary-ended-with-dot
- fix cvs-internal-file

* Thu Oct 07 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.4.2-9mdk
- lib64 fixes

* Tue Sep 21 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.4.2-8mdk
- build DSO with PIC
- -pie & 64-bit fixes

* Wed Aug 25 2004 Olivier Blin <blino@mandrake.org> 2.4.2-7mdk
- fix infinite loop in pty program kill

* Sat Jun 19 2004 Florin <florin@mandrakesoft.com> 2.4.2-6mdk
- move the prompt program to ppp-prompt package (depends on gtk)
- add resolv.conf and connect-errors files
- the mppe syntax has changed (see the www.polbox.com/h/hs001/ page
for more info on this)

* Fri Jun 18 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.4.2-5mdk
- add BuildRequires: libgtk+-devel

* Thu Jun 17 2004 Florin <florin@mandrakesoft.com> 2.4.2-4mdk
- fix peers permissions

* Sun Jun 13 2004 Florin <florin@mandrakesoft.com> 2.4.2-3mdk
- enable the radius plugin/package
- strip the binary
- add the existing radiusclient files
- spec file cleaning
- add the dhcp plugin (source 5)
- build the password prompt (contrib patch)

* Wed Jun 02 2004 Florin <florin@mandrakesoft.com> 2.4.2-2mdk
- use a different pppoatm patch

* Tue May 25 2004 Florin <florin@mandrakesoft.com> 2.4.2-1mdk
- 2.4.2
- update the make, makeopt, wtmp patch
- remove the pam_session, zfree, mppe, includes, libdir, filter
- pppoe, disconnect, gcc, pcap, varargs obsolete patches
- add the includes files
- add the README.pppoatm FAQ PLUGINS files
- add the logrotate patch and file (rh)
- add the pie, dontwriteetc patches (rh)

* Fri Feb 27 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.4.1-13mdk
- Own dir (distlint)
- patch31 - fix build against pcap

